import { geoNaturalEarth1, geoPath, geoGraticule } from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({
  worldAtlas: { land, interiors },
  filterdata,
  sizeScale,
  tooltipFormat
}) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
    {filterdata.map(d => {
      const [x, y] = projection([d.lng, d.lat]);
      return(
      <circle 
        cx={x} 
        cy={y} 
        r={sizeScale(d.total_cases/50000)}
        >
      <title>Country:{d.location}, Total_cases:{d.total_cases}</title>
      </circle>
      );
    })}
  </g>
);
                       
                       
                       
                       
                       
