import React, { useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { csv, scaleSqrt, max,format} from 'd3';
import { useData } from './useData';
import { useCoord } from './useCoord';
import { useWorldAtlas } from './useWorldAtlas';
import { Marks } from './Marks';

import { filteredData } from './filterData';


const width = 960;
const height = 500;




const App = () => {
const worldAtlas = useWorldAtlas();
//  console.log(worldAtlas)
const data = useData();
const coord= useCoord();
  if (!data) {
    return <pre>Loading...</pre>;
  }
  
  const filterdata=filteredData(data);
 // console.log(coord)
// console.log(filterdata)

 coord.map(row =>{  
    filterdata.map((obj,index) =>{ 
      if(obj.location==row.location){
          filterdata[index]= Object.assign({lat:row.lat,lng:row.lng,total_cases:obj.total_cases,location:obj.location})     
      }})
  })
  
  console.log(filterdata)
//filterdata.map(d =>console.log([d.lat,d.long]))  

const sizeValue =filterdata.map(d => d.total_cases/50000)
//const sizeValue = d => d.total_cases;
 console.log(sizeValue)
 const maxRadius = 25;

 // const sizeScale = scaleSqrt()
  //  .domain([0, max(filterdata, sizeValue)])
   // .range([0, maxRadius]);
  
  const sizeScale = scaleSqrt()
    .domain([0,30])
    .range([0,30]);

  const siFormat = format('.2s');
  const TickFormat = tickValue => siFormat(tickValue).replace('G', 'B');
  
  filterdata.map(d=>console.log(sizeScale((d.total_cases/100000))))
  
  return (
    <svg width={width} height={height}>
      <Marks
        worldAtlas={worldAtlas}
        filterdata={filterdata}
        sizeScale={sizeScale}
				tooltipFormat ={TickFormat}      />
      <text x= "300" y="20" class="heavy" font-size="2em">Covid cases on 31st May</text>
    </svg>
  );
  
  
  };
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);